<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>T4Sale by Davidenko N. aka nbytes</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <style>
        /*Sorry 5 06 AM o'clock I lazy for create external file*/
        .show-date-form{
            margin: 45px 0 45px 0;
        }
    </style>
</head>
<body>
<section class="container">
    <div class="show-date-form">
        <form class="form-inline" method="get" accept-charset="utf-8"
          enctype="application/x-www-form-urlencoded">
        <div class="form-group mb-1">
            <label for="show-date" class="form-control">Show date: </label>
            <input class="form-control" type="date" name="show_date" id="show-date" value="{{form_show_date}}"/>
        </div>
        <input class="btn btn-primary mb-1" type="submit">
    </form>
    </div>
    {% for group in shows|groupby('genre') %}
    <h3>{{ group.grouper|capitalize }}</h3>
    <table class="table table-striped table-bordered table-hover">
        <thead>
        <tr>
            <th scope="col">Title</th>
            <th scope="col">Tickets left</th>
            <th scope="col">Tickets available</th>
            <th scope="col">Status</th>
            <th scope="col">Price</th>
        </tr>
        </thead>
        <tbody>
        {%for show in group.list%}
        <tr>
            <td scope="row" class="col-5">{{show.title}}</td>
            <td>{{show.tickets_left}}</td>
            <td>{{show.tickets_available}}</td>
            <td class="col-3">{{show.status}}</td>
            <td>${{show.price}}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    {% else %}
    <h1>We not have shows on this date</h1>
    {% endfor %}
</section>
</body>
</html>